"""
This code Reads the output of the Ayromlou 2021 version of L-Galaxies. Use this code as an example.
See https://lgalaxiespublicrelease.github.io/ for more info
Written by M. Ayromlou (ayromlou@mpa-garching.mpg.de -- ayromlou@gmail.com)
"""

"""
------- Instructions for running the code --------
* Choose the output directory (Outputdir)
* Choose your desired Snapshot number (SnapNum)
* Choose your catalogue (Main catalogue by default)
* Run this code

* Note that you should have the following files in the same folder as this code:
LGal_Reader.py
LGalaxies_snap_struct_A2021.py
LGalaxies_snap_struct_extra_A2021.py
"""

import numpy as np
import h5py as h5py
import LGal_Reader as lgr

Outputdir = '/virgo/galformod/data/L-Galaxies/Ayromlou2021/Snaps/MR'
SnapNum = 58
Catalog_Type = 'Main' #options: Main, Additional

LGal = lgr.Read_LGalaxies('%s' %Catalog_Type,Outputdir,SnapNum)